#include<iostream.h> 
#include<math.h>
 int main()       //Ö÷º¯Êý                                           
{
 float x,y;
 cin>>x;
 switch((int)(floor(x)))
 {
  case -5:
  case -4:
  case -3:
  case -2:
  case -1: y=x-5;
	       cout<<"y="<<y<<endl;
		   break;
  case  0: 
  case  1:
  case  2:
  case  3:
  case  4: y=x+5;
	       cout<<"y="<<y<<endl;
		   break;
  case  5:
  case  6:
  case  7:
  case  8:
  case  9: y=x*5;
	       cout<<"y="<<y<<endl;
		   break;
  case 10:
  case 11:
  case 12:
  case 13:
  case 14: y=pow(x,5);
	       cout<<"y="<<y<<endl;
		   break;
  default: cout<<"xÊäÈëÓÐÎó£¡"<<endl;      
 }
 return(0);
}
